Subject: bug#39387: Builds are *not* offloaded when using the "--keep-failed" or -K option.

From: Ludovic Courtès <[email-masked]>
Date: Thu, 06 Feb 2020 14:54:38 +0100

Hi Maxim,

Maxim Cournoyer <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:

[...]

>> Indeed, it’s a feature!  :-)  It was discussed here:
>>
>>   https://issues.guix.gnu.org/issue/38312
>>
>> There we discussed the possibility of printing a warning, which wasn’t
>> implemented.
>
> I see!
>
>> I’m closing in the meantime, but let me know what you think!
>
> OK!  I think I now see the technical difficulties in implementing a
> useful, offloaded interrupted build: the build artifacts, even if copied
> locally, would require syncing all the build time dependencies in order
> to allow sourcing the "environment-variables" script and be able to
> debug.  That's more the job of 'guix publish', not of 'guix offload'.

Right.  Ideally the build directory of an offloaded could be copied back
to the host of the caller, but that’s not implemented and a bit tricky
maybe.

Before this change, my main use of ‘--no-build-hook’ would be together
with ‘-K’ for that reason.

Ludo’.